<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>5_멀티미디어</title>
</head>
<body>
    <h1>멀티미디어 관련태그</h1>

    <h3>imh 태그</h3>

    <p>
        src 속성에 경로를 설정하여 이미지 파일을 불러온다.
    </p>
    <img src="../sample/image/city1.PNG">    
    <h3>alt 속성</h3>
    <p>
        사진의 경로가 잘못되거나 이미지를 제대로 표현할 수
        없는 경우 대체 텍스트 용도로 사용한다. 또는 시각 장애인을 위한 스크린 리더 프로그램에서 이미지
        를 대체하는 텓스트를 작성한다">
    </p>
    <img src="../sample/image/city1.PNG" alt="도시사진">
    
    <h3>width와 height</h3>
    <p>
        사진의 높이와 너비를 지정할 수 있다. 고정 된 단위(px 등)의 크기로도 지정 가능하며,
        가변 크기 단위(%)의 크기로도 지정 가능하다.
    </p>
    <h4>고정 크기 단위 : 화면 사이즈가 줄어도 크기가 변하지 않는다.</h4>
    <img src="../sample/image/flower1.PNG" width="200px" height="150px">
    <img src="../sample/image/flower2.PNG" width="200px" height="150px">
    <img src="../sample/image/flower3.PNG" width="200px" height="150px">
    <img src="../sample/image/flower4.PNG" width="200px" height="150px">
    <img src="../sample/image/flower5.PNG" width="200px" height="150px">

    <h4>가변 크기 단위 : 화면 사이즈가 혹은 기준 사이즈에 따라 크기가 변경된다.</h4>
    <img src="../sample/image/flower1.PNG" width="15%" height="150px">
    <img src="../sample/image/flower2.PNG" width="15%" height="150px">
    <img src="../sample/image/flower3.PNG" width="15%" height="150px">
    <img src="../sample/image/flower4.PNG" width="15%" height="150px">
    <img src="../sample/image/flower5.PNG" width="15%" height="150px">

    <h4>이미지 구역을 2개로 나누어 각각 링크 설정하기</h4>
    <img src="../sample/image/river1.PNG" usemap="#map">
    <map name="map">
        <area shape="rect" coords="00, 00, 300m 500" href="https://www.naver.com">
        <area shape="circle" coords="450, 250, 150" href="https://www.google.com">
    </map>

    <h1>미디어 관련 태그</h1>
    <p>
        HTML5부터는 플러그인 기능 사용하지 않고 미디어(비디오, 오디오)를 직접
        HTML 문서에서 실행시킬 수 있는 태그를 제공한다.
    </p>

    <h3>오디오 관련 태그</h3>
    <audio src="../sample/audio/music.mp3" controls="controls" loop="loop"></audio>

    <h3>비디오 관련 태그</h3>
    <video src="../sample/video/video.mp4" controls="controls" poster="../sample/image/flower2.PNG"></video>


</body>
</html>